%define rundir /run

Summary:	The IPv6 Router Advertisement Daemon
Name:		radvd
Version:	1.9.2
Release:	%mkrel 7
License:	BSD
Group:		System/Servers
URL:		http://v6web.litech.org/radvd/
Source0:	http://v6web.litech.org/radvd/dist/%{name}-%{version}.tar.gz
Source2:	radvd.conf
Source3:	radvd.sysconfig
Source4:	radvd.service

Requires(post):	systemd >= %{systemd_required_version}
Requires(post):	rpm-helper
Requires(preun):	rpm-helper
BuildRequires:	flex bison
BuildRequires:	pkgconfig(libdaemon)

%description
IPv6 has a lot more support for auto configuration than IPv4. But
for this auto configuration to work on the hosts of a network, the
routers of the local network have to run a program which answers
the auto configuration requests of the hosts.

On Linux this program is called radvd, which stands for Router
ADVertisement Daemon. This daemon listens to router solicitations (RS)
and answers with router advertisement (RA). Furthermore unsolicited
RAs are also send from time to time.

These RAs contain information, which is used by hosts to configure
their interfaces. This information includes address prefixes, the MTU of
the link and information about default routers.


%prep
%setup -q

%build
%serverbuild
%configure2_5x --with-pidfile=%{rundir}/%{name}/%{name}.pid
%make

%install
%makeinstall_std

install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_initrddir}

install -m0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/radvd.conf
install -m0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/radvd
install -D -m0755 %{SOURCE4} %{buildroot}%{_unitdir}/radvd.service

mkdir -p %{buildroot}%{_tmpfilesdir}
cat <<EOF >%{buildroot}%{_tmpfilesdir}/radvd.conf
d %{rundir}/radvd 0755 radvd radvd -
EOF

%pre
%_pre_useradd radvd / %{_sbindir}/nologin

%post
%_tmpfilescreate %{name}
%_post_service radvd

%preun
%_preun_service radvd

%files
%doc CHANGES COPYRIGHT README TODO INTRO.html radvd.conf.example
%config(noreplace) %{_sysconfdir}/radvd.conf
%config(noreplace) %{_sysconfdir}/sysconfig/radvd
%{_unitdir}/%{name}.service
%{_tmpfilesdir}/radvd.conf
%{_sbindir}/*
%{_mandir}/*/*



%changelog

* Sun Mar 24 2013 colin <colin> 1.9.2-7.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Mon Jan 14 2013 cjw <cjw> 1.9.2-6.mga3
+ Revision: 388128
- fix tmpfiles config: the tmp dir is /run/radvd not /run itself

* Sun Jan 13 2013 umeabot <umeabot> 1.9.2-5.mga3
+ Revision: 380178
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + solbu <solbu>
    - Spec cleanup

* Sun Jan 13 2013 solbu <solbu> 1.9.2-4.mga3
+ Revision: 362748
- Add missing %%_tmpfilescreate macro

* Sun Jan 13 2013 solbu <solbu> 1.9.2-3.mga3
+ Revision: 362110
- Don't create /run/radvd
- UsrMove fix (/var/run to /run)

* Sun Dec 02 2012 solbu <solbu> 1.9.2-2.mga3
+ Revision: 325486
- New version
- Systemd integration

* Fri Aug 17 2012 cjw <cjw> 1.9.1-2.mga3
+ Revision: 281710
- ask systemd to recreate /var/run/radvd when needed

* Sun Aug 05 2012 solbu <solbu> 1.9.1-1.mga3
+ Revision: 278600
- New version
- Spec cleanup
- Fix BuildRequires

* Mon Mar 05 2012 misc <misc> 1.8.5-1.mga2
+ Revision: 218537
- new version of radvd

* Sat Oct 15 2011 misc <misc> 1.8.3-1.mga2
+ Revision: 155329
- new version 1.8.3

* Sat Oct 08 2011 misc <misc> 1.8.2-1.mga2
+ Revision: 153072
- upgrade to 1.8.2 ( security fix )

* Thu Jun 23 2011 ahmad <ahmad> 1.8-2.mga2
+ Revision: 112822
- Create a system user for radvd and own %%{_localstatedir}/run/%%{name}
- Change configure options so that the .pid file is in %%{_localstatedir}/run/%%{name}

* Thu Jun 23 2011 cjw <cjw> 1.8-1.mga2
+ Revision: 112814
- 1.8

* Tue Mar 08 2011 mikala <mikala> 1.7-1.mga1
+ Revision: 66622
- Update tarball to 1.7
- Remove BuildRoot tag
- imported package radvd


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.6-2mdv2011.0
+ Revision: 607302
- rebuild

* Sat Mar 06 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.6-1mdv2010.1
+ Revision: 515236
- o update to 1.6
  o use %%configure2_5x

* Thu Aug 20 2009 Frederik Himpe <fhimpe@mandriva.org> 1.4-1mdv2010.0
+ Revision: 418608
- update to new version 1.4

* Sat Jul 25 2009 Frederik Himpe <fhimpe@mandriva.org> 1.3-1mdv2010.0
+ Revision: 399841
- Update to new version 1.3

* Wed Mar 11 2009 Oden Eriksson <oeriksson@mandriva.com> 1.2-1mdv2009.1
+ Revision: 353777
- 1.2
- bunzip initscripts and config
- sync with the bundled fedora stuff (use a %%{_sysconfdir}/sysconfig/radvd file)

* Sun Mar 02 2008 Pascal Terjan <pterjan@mandriva.org> 1.1-1mdv2008.1
+ Revision: 177747
- update to new version 1.1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0-2mdv2008.0
+ Revision: 90248
- rebuild


* Wed Nov 01 2006 Pascal Terjan <pterjan@mandriva.org> 1.0-1mdv2007.0
+ Revision: 75061
- 1.0
- Import radvd

* Tue May 09 2006 Pascal Terjan <pterjan@mandriva.org> 0.9.1-1mdk
- New release 0.9.1

* Tue Jan 10 2006 Pascal Terjan <pterjan@mandriva.org> 0.9-1mdk
- 0.9

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 0.8-5mdk
- fix typo in initscript

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 0.8-4mdk
- convert parallel init to LSB
- split Requires(X,Y)

* Sun Jan 01 2006 Couriousous <couriousous@mandriva.org> 0.8-3mdk
- Add parallel init stuff

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.8-2mdk
- Rebuild

* Tue Aug 09 2005 Michael Scherer <misc@mandriva.org> 0.8-1mdk
- New release 0.8

* Sun Jun 19 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.7.3-2mdk
- add BuildRequires: bison

* Mon Jun 13 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.7.3-1mdk
- 0.7.3
- %%mkrel
- fix requires
- fix executable-marked-as-config-file

* Thu Aug 19 2004 Michael Scherer <misc@mandrake.org> 0.7.2-2mdk 
- Rebuild

